Bug 170035 - show URL in an external browser
show URL in an external browser
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Embedded Browser
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 169240
  Show dependency treegraph
 
Reported: 2009-08-07 11:34 UTC by Stanislav Aubrecht
Modified: 2009-08-14 05:59 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
proposed changes (14.10 KB, patch)
2009-08-07 11:37 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2009-08-07 11:34:56 UTC
allow URLDisplayer to show URLs in an external browser even if the preferred browser in IDE options is an internal
(embedded) browser.
this is needed to show html pages when a modal dialog is showing and to redirect some links clicked in internal browser
to the external one
Comment 1 Stanislav Aubrecht 2009-08-07 11:37:11 UTC
Created attachment 85956 [details]
proposed changes
Comment 2 Stanislav Aubrecht 2009-08-12 09:08:42 UTC
if there are no objections, i'll commit the changes tomorrow (august 13th)
Comment 3 Stanislav Aubrecht 2009-08-13 11:04:25 UTC
core-main 622903e60d0d
Comment 4 Quality Engineering 2009-08-14 05:59:55 UTC
Integrated into 'main-golden', will be available in build *200908140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/622903e60d0d
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #170035 - URLDisplayer.showURLExternal


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo